// MaskEdit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMaskEdit class

#ifndef _MASKDEFINE_
#define _MASKDEFINE_
class CMaskEdit : public CEdit
{
  DECLARE_DYNAMIC(CMaskEdit)

// Constructors
public:
  CMaskEdit();

// Attributes
  BOOL m_bUseMask;
  CString m_strMask;
  CString m_strLiteral;
  CString m_strValid;
  BOOL m_bMaskKeyInProgress;

// Operations
  BOOL CheckChar(UINT nChar);
  void SetMask(LPCTSTR lpMask, LPCTSTR lpLiteral = NULL, LPCTSTR lpValid = NULL);
  void SendChar(UINT nChar);

// Implementation
public:

protected:
  // Generated message map functions
  //{{AFX_MSG(CMaskEdit)
  afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
  afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
  //}}AFX_MSG
  DECLARE_MESSAGE_MAP()
};
#endif
